#pragma once
#include "Ogre.h"

namespace SLK
{

class SelectionHelper
{
public:
	SelectionHelper(void);
	virtual ~SelectionHelper(void);

	Ogre::MovableObject *getClickedMovable(int flags);
	Ogre::RaySceneQueryResult &querySceneAtMouse(Ogre::uint32 mask);
	Ogre::RaySceneQueryResult &queryScene(Ogre::uint32 mask);
	Ogre::Ray getMouseRay();
	bool getPlaneIntersect(Ogre::Vector3 &pos, float height);
protected:

	Ogre::RaySceneQuery *m_query;
};


}